# applyDiff

fun < T > MutableList < T >. applyDiff (diff: Diff < T >)(source)

Applies diff to this

fun < T > MutableList < T >. applyDiff (source: Iterable < T >, strictComparison: Boolean = false): Diff < T >(source)

This method call calculateDiff with strict mode strictComparison and then apply differences to this mutable list

fun < T > MutableList < T >. applyDiff (source: Iterable < T >, comparisonFun: ( T ?, T ?) -> Boolean ): Diff < T >(source)

This method call calculateDiff and then apply differences to this mutable list

fun < K , V > MutableMap < K , V >. applyDiff (mapDiff: MapDiff < K , V >)(source)

Will apply mapDiff to this

fun < K , V > MutableMap < K , V >. applyDiff (from: Map < K , V >, compareFun: ( K , V , V ) -> Boolean ): MapDiff < K , V >(source)

Will apply changes with from map into this one

#### Return

MapDiff applied to this

#### Parameters

compareFun

Will be used to determine changed values

fun < K , V > MutableMap < K , V >. applyDiff (from: Map < K , V >, strictComparison: Boolean = false): MapDiff < K , V >(source)

Will apply changes with from map into this one

#### Return

MapDiff applied to this

#### Parameters

strictComparison

If true, will use strict (===) comparison for the values' comparison. Otherwise, standard `equals` will be used